Debian Bug report logs - #660479
manpages-dev: getaddrinfo(3): documentation doesn't match specifications

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Micha Lenk <micha@lenk.info>

Date: Mon, 29 Sep 2008 11:03:01 UTC

Severity: normal

Tags: fixed-upstream, ipv6, patch, upstream

Fixed in version manpages/3.42-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Mon, 29 Sep 2008 11:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@lenk.info>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Mon, 29 Sep 2008 11:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@lenk.info>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Mon, 29 Sep 2008 12:53:19 +0200
Package: apache2.2-common
Version: 2.2.9-7
Severity: important

Hi,

recently I upgraded from Etch to Lenny. Now apache2 doesn't start on
boot any more. With "-x" in /etc/init.d/apache2 I get following output
on boot (partial only, typos possible due to screenshot taken by a
camera and typed in afterwards):


+ log_daemon_msg 'Starting web server' apache2
+ '[' -z 'Starting web server' ']'
+ log_daemon_msg_pre 'Starting web server' apache2
+ :
+ '[' -z apache2 ']'
+ echo -n 'Starting web server: apache2'
Starting web server: apache2+ log_daemon_msg_post 'Starting web server' apache2
+ :
+ env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin /usr/sbin/apache2ctl start
[Mon Sep 29 10:33:20 2008] [crit] (EAI 9)Address family for hostname not supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 1 of /etc/apache2/ports.conf:
Listen setup failed
+ log_end_msg 1
+ '[' -z 1 ']'
+ retval=1
+ log_end_msg_pre 1
+ :
+ log_use_fancy_output
+ TPUT=/usr/bin/tput
+ EXPR=/usr/bin/expr
+ '[' -t 1 ']'

Once the system has completed the boot sequence, I can manually start
the apache daemon by running "/etc/init.d/apache2 start" without any
problem.

Please let me know if I can provide any further information.

Regards
  Micha


-- Package-specific info:
List of enabled modules from 'apache2 -M':
  alias auth_basic authn_file authz_default authz_groupfile
  authz_host authz_user autoindex cgid dir env mime negotiation
  rewrite setenvif status suphp

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (50, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apache2.2-common depends on:
ii  apache2-utils          2.2.9-7           utility programs for webservers
ii  libapr1                1.2.12-4          The Apache Portable Runtime Librar
ii  libaprutil1            1.2.12+dfsg-8     The Apache Portable Runtime Utilit
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libmagic1              4.26-1            File type determination library us
ii  libssl0.9.8            0.9.8g-13         SSL shared libraries
ii  lsb-base               3.2-20            Linux Standard Base 3.2 init scrip
ii  mime-support           3.44-1            MIME files 'mime.types' & 'mailcap
ii  net-tools              1.60-20           The NET-3 networking toolkit
ii  perl                   5.10.0-14         Larry Wall's Practical Extraction 
ii  procps                 1:3.2.7-8         /proc file system utilities
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages apache2.2-common recommends:
ii  ssl-cert                      1.0.22     simple debconf wrapper for OpenSSL

Versions of packages apache2.2-common suggests:
pn  apache2-doc             <none>           (no description available)
pn  apache2-suexec | apache <none>           (no description available)
ii  epiphany-gecko [www-bro 2.22.3-3         Intuitive GNOME web browser - Geck
ii  iceweasel [www-browser] 3.0.1-1          lightweight web browser based on M
ii  konqueror [www-browser] 4:3.5.9.dfsg.1-5 KDE's advanced file manager, web b
ii  links [www-browser]     2.1pre37-1.1     Web browser running in text mode
ii  lynx-cur [www-browser]  2.8.7dev9-2      Text-mode WWW Browser with NLS sup
ii  w3m [www-browser]       0.5.2-2+b1       WWW browsable pager with excellent

Versions of packages apache2.2-common is related to:
pn  apache2-mpm-event             <none>     (no description available)
pn  apache2-mpm-itk               <none>     (no description available)
pn  apache2-mpm-prefork           <none>     (no description available)
ii  apache2-mpm-worker            2.2.9-7    Apache HTTP Server - high speed th

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Mon, 29 Sep 2008 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sf@sfritsch.de, 500558@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Mon, 29 Sep 2008 17:51:02 GMT) Full text and rfc822 format available.

Message #10 received at 500558@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Micha Lenk <micha@lenk.info>
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Mon, 29 Sep 2008 19:48:09 +0200
On Monday 29 September 2008, Micha Lenk wrote:
> recently I upgraded from Etch to Lenny. Now apache2 doesn't start
> on boot any more. With "-x" in /etc/init.d/apache2 I get following
> output on boot (partial only, typos possible due to screenshot
> taken by a camera and typed in afterwards):

> Starting web server: apache2+ log_daemon_msg_post 'Starting web
> server' apache2 + :
> + env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin
> /usr/sbin/apache2ctl start [Mon Sep 29 10:33:20 2008] [crit] (EAI
> 9)Address family for hostname not supported: alloc_listener: failed
> to set up sockaddr for 127.0.0.1 Syntax error on line 1 of
> /etc/apache2/ports.conf:
> Listen setup failed

> Once the system has completed the boot sequence, I can manually
> start the apache daemon by running "/etc/init.d/apache2 start"
> without any problem.
>
> Please let me know if I can provide any further information.

Please provide your /etc/apache2/ports.conf and any other Listen 
directives you might have in your apache config. Also, please insert

ifconfig

near the beginning of the apache start script and provide the output 
during boot. You can enable logging to /var/log/boot 
in /etc/default/bootlogd (no need for screen photos). Please provide 
the output of ifconfig during normal operation (when apache works), 
too.

You may replace the ip- and mac-addresses in the ifconfig output and 
configuration for privacy, of course. (But all occurences of an 
address should get the same replacement, and don't replace 
127.0.0.1).

Cheers,
Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Wed, 01 Oct 2008 10:53:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@lenk.info>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 01 Oct 2008 10:53:37 GMT) Full text and rfc822 format available.

Message #15 received at 500558@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@lenk.info>
To: sf@sfritsch.de
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Wed, 01 Oct 2008 12:15:02 +0200
Hi Stefan,

Stefan Fritsch wrote:
> On Monday 29 September 2008, Micha Lenk wrote:
>> recently I upgraded from Etch to Lenny. Now apache2 doesn't start
>> on boot any more. [...]
>> /usr/sbin/apache2ctl start [Mon Sep 29 10:33:20 2008] [crit] (EAI
>> 9)Address family for hostname not supported: alloc_listener: failed
>> to set up sockaddr for 127.0.0.1 Syntax error on line 1 of
>> /etc/apache2/ports.conf:
>> Listen setup failed
> 
>> Once the system has completed the boot sequence, I can manually
>> start the apache daemon by running "/etc/init.d/apache2 start"
>> without any problem.
>>
>> Please let me know if I can provide any further information.
> 
> Please provide your /etc/apache2/ports.conf and any other Listen 
> directives you might have in your apache config.

The only Listen directives are in /etc/apache2/ports.conf.
Its content is:

Listen 127.0.0.1:80
NameVirtualHost 127.0.0.2:80
Listen 127.0.0.2:80
Listen 127.0.0.7:80

> Also, please insert
> 
> ifconfig
> 
> near the beginning of the apache start script and provide the output 
> during boot.


ifconfig outputs the following lines right before apache2 should start:

eth0      Link encap:Ethernet  HWaddr 00:16:d3:b3:20:08
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:17 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:3017 (2.9 KiB)
          Interrupt:16

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:44 errors:0 dropped:0 overruns:0 frame:0
          TX packets:44 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:16573 (16.1 KiB)  TX bytes:16573 (16.1 KiB)

vbox0     Link encap:Ethernet  HWaddr 00:ff:15:cf:47:17
          inet6 addr: fe80::2ff:15ff:fecf:4717/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:19 overruns:0 carrier:0
          collisions:0 txqueuelen:500
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wlan0     Link encap:Ethernet  HWaddr 00:1b:77:04:d2:af
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wmaster0_rename Link encap:UNSPEC  HWaddr
00-1B-77-04-D2-AF-6C-6F-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

The /etc/network/interfaces contains nearly nothing (network is managed
by NetworkManager using Gnome's nm-applet):

------- [ /etc/network/interfaces ] -----------------------
# Used by ifup(8) and ifdown(8). See the interfaces(5) manpage or
# /usr/share/doc/ifupdown/examples for more information.

auto lo
iface lo inet loopback
------------------------------------------------------------

> You can enable logging to /var/log/boot 
> in /etc/default/bootlogd (no need for screen photos).

Bootlogd doesn't work here. I have the same symptoms like those
described here: https://bugs.launchpad.net/upstart/+bug/98955
Even though i've enabled it in /etc/default/bootlogd the file
/var/log/boot does contain a single bogus line only :(

> Please provide 
> the output of ifconfig during normal operation (when apache works), 
> too.

The output of ifconfig on the system completely booted up (and me logged
in with Gnome):

eth0      Link encap:Ethernet  Hardware Adresse 00:16:d3:b3:20:08
          inet Adresse:192.168.1.151  Bcast:192.168.1.255
Maske:255.255.255.0
          inet6-Adresse: fe80::216:d3ff:feb3:2008/64
Gültigkeitsbereich:Verbindung
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metrik:1
          RX packets:521 errors:0 dropped:0 overruns:0 frame:0
          TX packets:581 errors:0 dropped:0 overruns:0 carrier:0
          Kollisionen:0 Sendewarteschlangenlänge:1000
          RX bytes:483546 (472.2 KiB)  TX bytes:67562 (65.9 KiB)
          Interrupt:16

lo        Link encap:Lokale Schleife
          inet Adresse:127.0.0.1  Maske:255.0.0.0
          inet6-Adresse: ::1/128 Gültigkeitsbereich:Maschine
          UP LOOPBACK RUNNING  MTU:16436  Metrik:1
          RX packets:131 errors:0 dropped:0 overruns:0 frame:0
          TX packets:131 errors:0 dropped:0 overruns:0 carrier:0
          Kollisionen:0 Sendewarteschlangenlänge:0
          RX bytes:39725 (38.7 KiB)  TX bytes:39725 (38.7 KiB)

vbox0     Link encap:Ethernet  Hardware Adresse 00:ff:15:cf:47:17
          inet6-Adresse: fe80::2ff:15ff:fecf:4717/64
Gültigkeitsbereich:Verbindung
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metrik:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:37 overruns:0 carrier:0
          Kollisionen:0 Sendewarteschlangenlänge:500
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wlan0     Link encap:Ethernet  Hardware Adresse 00:1b:77:04:d2:af
          UP BROADCAST MULTICAST  MTU:1500  Metrik:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          Kollisionen:0 Sendewarteschlangenlänge:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)

wmaster0_rename Link encap:UNSPEC  Hardware Adresse
00-1B-77-04-D2-AF-65-74-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metrik:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          Kollisionen:0 Sendewarteschlangenlänge:1000
          RX bytes:0 (0.0 B)  TX bytes:0 (0.0 B)


> You may replace the ip- and mac-addresses in the ifconfig output and 
> configuration for privacy, of course. (But all occurences of an 
> address should get the same replacement, and don't replace 
> 127.0.0.1).

Please let me know what I can try else.

Regards
  Micha




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Wed, 01 Oct 2008 10:57:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@lenk.info>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 01 Oct 2008 10:57:15 GMT) Full text and rfc822 format available.

Message #20 received at 500558@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@lenk.info>
To: sf@sfritsch.de
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Wed, 01 Oct 2008 12:37:20 +0200
Hi again,

I wrote:
> The only Listen directives are in /etc/apache2/ports.conf.
> Its content is:
> 
> Listen 127.0.0.1:80
> NameVirtualHost 127.0.0.2:80
> Listen 127.0.0.2:80
> Listen 127.0.0.7:80
> 
> [...]
> The /etc/network/interfaces contains nearly nothing (network is managed
> by NetworkManager using Gnome's nm-applet):
> 
> ------- [ /etc/network/interfaces ] -----------------------
> # Used by ifup(8) and ifdown(8). See the interfaces(5) manpage or
> # /usr/share/doc/ifupdown/examples for more information.
> 
> auto lo
> iface lo inet loopback
> ------------------------------------------------------------

I've now explicitly added the used ip addresses to the loopback interface:

------- [ /etc/network/interfaces ] ------------------------
# Used by ifup(8) and ifdown(8). See the interfaces(5) manpage or
# /usr/share/doc/ifupdown/examples for more information.

auto lo
iface lo inet loopback
        up ip addr add 127.0.0.2 dev lo
        up ip addr add 127.0.0.7 dev lo
------------------------------------------------------------

... and Apache now start on boot again.

I wonder why Apache is able to start without these explicitly added
addresses after boot has finished. What's the difference?

As it works for me now, you can do what you like with this bug. :)

Regards
  Micha




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Wed, 01 Oct 2008 11:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 01 Oct 2008 11:06:02 GMT) Full text and rfc822 format available.

Message #25 received at 500558@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Micha Lenk <micha@lenk.info>
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Wed, 1 Oct 2008 13:03:07 +0200
On Wednesday 01 October 2008, Micha Lenk wrote:
> I wonder why Apache is able to start without these explicitly added
> addresses after boot has finished. What's the difference?

Yes, that's strange. What is the output from

cat /proc/sys/net/ipv4/ip_nonlocal_bind

after boot?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Wed, 01 Oct 2008 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@lenk.info>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 01 Oct 2008 11:09:05 GMT) Full text and rfc822 format available.

Message #30 received at 500558@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@lenk.info>
To: Stefan Fritsch <sf@sfritsch.de>
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Wed, 01 Oct 2008 13:08:00 +0200
Hi Stefan,

Stefan Fritsch schrieb:
> On Wednesday 01 October 2008, Micha Lenk wrote:
>> I wonder why Apache is able to start without these explicitly added
>> addresses after boot has finished. What's the difference?
> 
> Yes, that's strange. What is the output from
> 
> cat /proc/sys/net/ipv4/ip_nonlocal_bind
> 
> after boot?

0

Regards
  Micha




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Wed, 01 Oct 2008 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Wed, 01 Oct 2008 11:54:04 GMT) Full text and rfc822 format available.

Message #35 received at 500558@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Micha Lenk <micha@lenk.info>
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Wed, 1 Oct 2008 13:46:52 +0200
On Wednesday 01 October 2008, you wrote:
> >> I wonder why Apache is able to start without these explicitly
> >> added addresses after boot has finished. What's the difference?
> >
> > Yes, that's strange. What is the output from
> >
> > cat /proc/sys/net/ipv4/ip_nonlocal_bind
> >
> > after boot?
>
> 0

That's not the reason, then.

It seems that the 127.0.0.0/8 subnet is handled specially. I can bind 
to any address in that subnet without it being configured explicitly. 
I don't know where this behaviour comes from and why it does not work 
for you during boot. But I guess explicitly configuring the used ip 
addresses is always a good idea.

Cheers,
Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Mon, 06 Apr 2009 01:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Mon, 06 Apr 2009 01:54:02 GMT) Full text and rfc822 format available.

Message #40 received at 500558@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: 500558@bugs.debian.org
Subject: Re: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Sun, 05 Apr 2009 18:51:11 -0700
For me, it happens with 127.0.0.1 .
I really, really don't want to explicitly say in /e/n/i that lo is 127.0.0.1 .

This is intermittent; I'd say it happens about 25% of the time.  And,
when I manually start apache (with invoke-rc.d apache2 start) after the
boot is done, it starts fine.  So, I suspect this is some kind of race
condition, perhaps apache is trying to bind to the interface before udev
is completely done with it?

Here my /etc/network.interfaces:

# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# PCI network interface
iface eth0 inet manual

# The on-board network interface
allow-hotplug eth1
iface eth1 inet dhcp
      ip-rp-filter 1

here's /etc/apache2/ports.conf:

# If you just change the port or add more ports here, you will likely also
# have to change the VirtualHost statement in
# /etc/apache2/sites-enabled/000-default
# This is also true if you have upgraded from before 2.2.9-3 (i.e. from
# Debian etch). See /usr/share/doc/apache2.2-common/NEWS.Debian.gz and
# README.Debian.gz

#NameVirtualHost *:80
Listen 127.0.0.1:80

<IfModule mod_ssl.c>
    # SSL name based virtual hosts are not yet supported, therefore no
    # NameVirtualHost statement here
    Listen 443
</IfModule>

(ssl is not enabled, so the IfModule block should be irrelevant)

lastly, here's /etc/apache2/sites-enabled/000-default:

<VirtualHost *:80>
	ServerAdmin webmaster@localhost
	
	DocumentRoot /var/www/
	<Directory />
		Options FollowSymLinks
		AllowOverride None
	</Directory>
	<Directory /var/www/>
		Options Indexes FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
	</Directory>

	ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
	<Directory "/usr/lib/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

	ScriptAlias /cgi-localbin/ /usr/local/lib/cgi-bin/
	<Directory "/usr/local/lib/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

	ErrorLog /var/log/apache2/error.log

	# Possible values include: debug, info, notice, warn, error, crit,
	# alert, emerg.
	LogLevel warn

	CustomLog /var/log/apache2/access.log combined

    Alias /doc/ "/usr/share/doc/"
    <Directory "/usr/share/doc/">
        Options Indexes MultiViews FollowSymLinks
        AllowOverride None
        Order deny,allow
        Deny from all
        Allow from 127.0.0.0/255.0.0.0 ::1/128
    </Directory>

</VirtualHost>


-- 
Ian Zimmerman <itz@buug.org>
gpg public key: 1024D/C6FF61AD 
fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
Ham is for reading, not for eating.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Mon, 06 Apr 2009 02:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Mon, 06 Apr 2009 02:00:03 GMT) Full text and rfc822 format available.

Message #45 received at 500558@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: 500558@bugs.debian.org
Subject: Re: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Sun, 05 Apr 2009 18:58:22 -0700
See also # 463783, which may or may not be a dupe.

-- 
Ian Zimmerman <itz@buug.org>
gpg public key: 1024D/C6FF61AD 
fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
Ham is for reading, not for eating.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Sun, 12 Sep 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Sun, 12 Sep 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #50 received at 500558@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Ian Zimmerman <itz@buug.org>
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Sun, 12 Sep 2010 22:44:07 +0200
On Monday 06 April 2009, Ian Zimmerman wrote:
> For me, it happens with 127.0.0.1 .
> I really, really don't want to explicitly say in /e/n/i that lo is
> 127.0.0.1 .
> 
> This is intermittent; I'd say it happens about 25% of the
> time.  And, when I manually start apache (with invoke-rc.d apache2
> start) after the boot is done, it starts fine.  So, I suspect this
> is some kind of race condition, perhaps apache is trying to bind
> to the interface before udev is completely done with it?

Do you still have this problem? If yes:

Do you use network-manager? What entries do you have in /etc/hosts for 
::1, 127.0.0.1, localhost, and ip6-localhost? After booting, does "ip 
a" show any inet6 addresses? Any other than ::1?

Cheers,
Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Mon, 13 Sep 2010 05:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Zimmerman <itz@buug.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Mon, 13 Sep 2010 05:54:02 GMT) Full text and rfc822 format available.

Message #55 received at 500558@bugs.debian.org (full text, mbox):

From: Ian Zimmerman <itz@buug.org>
To: Stefan Fritsch <sf@sfritsch.de>
Cc: 500558@bugs.debian.org
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Sun, 12 Sep 2010 22:51:31 -0700
Stefan> Do you still have this problem? 

No, but my interfaces file is slightly different; I have virtual
interfaces hanging off lo now.   IIRC it was the addition of those that
stopped it.

Stefan> Do you use network-manager?

No

Stefan> What entries do you have in /etc/hosts for ::1, 127.0.0.1,
Stefan> localhost, and ip6-localhost? 

 [38]matica:~$ grep localhost /etc/hosts
127.0.0.1	localhost
::1	ip6-localhost ip6-loopback

Stefan> After booting, does "ip a" show any inet6 addresses? Any other
Stefan> than ::1?

for lo?  Only this one:

    inet6 ::1/128 scope host 

There's one for eth0 but that isn't relevant, is it?

-- 
Ian Zimmerman <itz@buug.org>
gpg public key: 1024D/C6FF61AD 
fingerprint: 66DC D68F 5C1B 4D71 2EE5  BD03 8A00 786C C6FF 61AD
Ham is for reading, not for eating.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Sat, 18 Dec 2010 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Brady <simon@hikari.org.nz>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Sat, 18 Dec 2010 05:12:03 GMT) Full text and rfc822 format available.

Message #60 received at 500558@bugs.debian.org (full text, mbox):

From: Simon Brady <simon@hikari.org.nz>
To: <500558@bugs.debian.org>
Subject: Re: Bug#500558: apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny
Date: Sat, 18 Dec 2010 18:02:40 +1300
I've hit the same error on a clean install of lenny with 
apache2.2-common-2.2.9-10+lenny8. The problem started when I changed the 
Listen directive in /etc/apache2/ports.conf from

Listen 80

to

Listen 127.0.1.1:80

(The host is behind a DSL router, but I specifically don't want Apache 
listening on eth0 because that same router has a Windows laptop 
connected to it and, well, you can guess the rest...)

The problem occurs consistently at boot but after boot I can start 
Apache fine with an explicit "/etc/init.d/apache2 start". The IPv4 part 
of my /etc/hosts looks like this:

127.0.0.1       localhost
127.0.1.1       saitama.hikari.org.nz   saitama

and my /etc/network/interfaces contains:

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
allow-hotplug eth0
iface eth0 inet dhcp

The boot-time error goes away if I change "allow-hotplug eth0" to "auto 
eth0", which forces eth0 to acquire an IPv4 address before Apache 
starts. But lo already auto-starts on 127.0.0.0/8, so I don't understand 
why the modified Listen directive fails when eth0 is down.

Hope this helps,
Simon





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Fri, 21 Oct 2011 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Viridiana Sala <viry@messagenet.it>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Fri, 21 Oct 2011 09:57:17 GMT) Full text and rfc822 format available.

Message #65 received at 500558@bugs.debian.org (full text, mbox):

From: Viridiana Sala <viry@messagenet.it>
To: Debian Bug Tracking System <500558@bugs.debian.org>
Subject: apache2.2-common: Same error in squeeze
Date: Fri, 21 Oct 2011 11:44:51 +0200
Package: apache2.2-common
Version: 2.2.16-6+squeeze4
Severity: normal


I have the same problem with a fresh install of squeeze.

Apache2 doesn't start on boot and I get the "alloc_listener: failed to set up sockaddr for 127.0.0.1" error.

It will start correctly on boot if I change "allow-hotplug eth0" to "auto eth0" in /etc/network/interfaces.  

This is my /etc/apache2/ports.conf:

NameVirtualHost *:8080
Listen 127.0.0.1:8080
#Listen 8080

Regards,
Viridiana


-- Package-specific info:
List of enabled modules from 'apache2 -M':
  alias apreq auth_basic authn_file authz_default authz_groupfile
  authz_host authz_user autoindex cgi deflate dir env mime
  negotiation perl reqtimeout rewrite setenvif status

-- System Information:
Debian Release: 6.0.3
  A:PT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages apache2.2-common depends on:
ii  apache2-utils          2.2.16-6+squeeze4 utility programs for webservers
ii  apache2.2-bin          2.2.16-6+squeeze4 Apache HTTP Server common binary f
ii  libmagic1              5.04-5            File type determination library us
ii  lsb-base               3.2-23.2squeeze1  Linux Standard Base 3.2 init scrip
ii  mime-support           3.48-1            MIME files 'mime.types' & 'mailcap
ii  perl                   5.10.1-17squeeze2 Larry Wall's Practical Extraction 
ii  procps                 1:3.2.8-9         /proc file system utilities

Versions of packages apache2.2-common recommends:
ii  ssl-cert                      1.0.28     simple debconf wrapper for OpenSSL

Versions of packages apache2.2-common suggests:
pn  apache2-doc                 <none>       (no description available)
pn  apache2-suexec | apache2-su <none>       (no description available)
ii  lynx-cur [www-browser]      2.8.8dev.5-1 Text-mode WWW Browser with NLS sup
ii  w3m [www-browser]           0.5.2-9      WWW browsable pager with excellent

Versions of packages apache2.2-common is related to:
pn  apache2-mpm-event      <none>            (no description available)
pn  apache2-mpm-itk        <none>            (no description available)
ii  apache2-mpm-prefork    2.2.16-6+squeeze4 Apache HTTP Server - traditional n
pn  apache2-mpm-worker     <none>            (no description available)

-- Configuration Files:
/etc/apache2/apache2.conf changed [not included]
/etc/apache2/ports.conf changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package apache2.2-common. (Thu, 29 Dec 2011 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to william felipe_welter <wfelipew@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Thu, 29 Dec 2011 19:12:03 GMT) Full text and rfc822 format available.

Message #70 received at 500558@bugs.debian.org (full text, mbox):

From: william felipe_welter <wfelipew@gmail.com>
To: 500558@bugs.debian.org
Cc: sf@sfritsch.de
Subject: Apache fails to start..
Date: Thu, 29 Dec 2011 17:09:12 -0200
I can reproduce this behavior "out of" boot on Squeeze..
The error occurs when you have one interface that only have IPv6
address ( this happen if you call dhclient on some interface that has
no link ) and have one directive listen  with IPv4 address ( even if
is the loopback address) on the ports.conf.

Simple way to reproduce (with apache stoped):
1) Edit the ports.conf  with: listen 127.0.0.1:80
2) Remove the network cable and execute: dhclient
3) Kill the dhclient with CTRL+C
4) Execute "ifconfig" to confirm that your iface now have a IPv6 address
5) Try to start apache2

I will try to debug why apache turn in error even if have my loopback
has IPv4 address.


-- 
William Felipe Welter
------------------------------
Consultor em Tecnologias Livres
william.welter@4linux.com.br
www.4linux.com.br




Bug reassigned from package 'apache2.2-common' to 'libapr1'. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Fri, 17 Feb 2012 22:51:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions apache2/2.2.16-6+squeeze4 and apache2/2.2.9-7. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Fri, 17 Feb 2012 22:51:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Fri, 17 Feb 2012 22:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#500558; Package libapr1. (Fri, 17 Feb 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Michel Vourgère" <jmv_deb@nirgal.com>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Fri, 17 Feb 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #81 received at 500558@bugs.debian.org (full text, mbox):

From: "Jean-Michel Vourgère" <jmv_deb@nirgal.com>
To: 500558@bugs.debian.org
Subject: Can't listen to 127.0.0.1 if eth0 has IPv6 only
Date: Fri, 17 Feb 2012 22:46:09 +0000
[Message part 1 (text/plain, inline)]
reassign 500558 libapr1
tags 500558 + upstream
thanks

I traced back that problem to a call in libapr1, in call_resolver()
getaddrinfo("127.0.0.1", NULL, &hints, ...) that returns -9
because hints contains AI_ADDRCONFIG

Without that hint, it works.

Extract from call_resolver:
    if (family == APR_UNSPEC) {
        /* By default, only look up addresses using address types for
         * which a local interface is configured, i.e. no IPv6 if no
         * IPv6 interfaces configured. */
        hints.ai_flags = AI_ADDRCONFIG;
    }

Documentation from getaddrinfo(3):
       If  hints.ai_flags includes the AI_ADDRCONFIG flag, then IPv4 addresses
       are returned in the list pointed to by res only if the local system has
       at  least  one  IPv4  address  configured,  and IPv6 addresses are only
       returned if the local system has at least one IPv6 address configured.

But obviously, having an IPv6 on eth0, and both an IPv4 and IPv6 in lo, is not
enough to enable IPv4 resolution.

Attached is a tiny test case.
[main.c (text/x-csrc, attachment)]
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) upstream. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 23:15:13 GMT) Full text and rfc822 format available.

Added tag(s) ipv6. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 23:15:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'getaddrinfo("127.0.0.1", AI_ADDRCONFIG) fails when eth0 has ipv6 only' from 'apache2.2-common: Apache fails to start on boot after upgrade Etch -> Lenny' Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 23:15:14 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libapr1' to 'eglibc'. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 23:15:14 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 23:15:14 GMT) Full text and rfc822 format available.

Added indication that 500558 affects apache2 Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 23:15:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#500558; Package eglibc. (Sun, 19 Feb 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sun, 19 Feb 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #98 received at 500558@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jean-Michel Vourgère <jmv_deb@nirgal.com>
Cc: 500558@bugs.debian.org, control@bugs.debian.org
Subject: Re: Can't listen to 127.0.0.1 if eth0 has IPv6 only
Date: Sun, 19 Feb 2012 15:50:11 +0100
clone 500558 -1
reassign -1 manpages-dev
retitle -1 manpages-dev: getaddrinfo(3): documentation doesn't match specifications
reassign 500558 libapr1
retitle 500558 libapr1: can't bind to 127.0.0.1 without IPv4 address
tag 500558 + upstream
thanks

On Fri, Feb 17, 2012 at 10:46:09PM +0000, Jean-Michel Vourgère wrote:
> reassign 500558 libapr1
> tags 500558 + upstream
> thanks
> 
> I traced back that problem to a call in libapr1, in call_resolver()
> getaddrinfo("127.0.0.1", NULL, &hints, ...) that returns -9
> because hints contains AI_ADDRCONFIG
> 
> Without that hint, it works.
> 
> Extract from call_resolver:
>     if (family == APR_UNSPEC) {
>         /* By default, only look up addresses using address types for
>          * which a local interface is configured, i.e. no IPv6 if no
>          * IPv6 interfaces configured. */
>         hints.ai_flags = AI_ADDRCONFIG;
>     }
> 
> Documentation from getaddrinfo(3):
>        If  hints.ai_flags includes the AI_ADDRCONFIG flag, then IPv4 addresses
>        are returned in the list pointed to by res only if the local system has
>        at  least  one  IPv4  address  configured,  and IPv6 addresses are only
>        returned if the local system has at least one IPv6 address configured.
> 
> But obviously, having an IPv6 on eth0, and both an IPv4 and IPv6 in lo, is not
> enough to enable IPv4 resolution.
>

The manpage doesn't match the RFC3493 which explicitly exclude the loopback 
addresses:

   If the AI_ADDRCONFIG flag is specified, IPv4 addresses shall be
   returned only if an IPv4 address is configured on the local system,
   and IPv6 addresses shall be returned only if an IPv6 address is
   configured on the local system.  The loopback address is not
   considered for this case as valid as a configured address.

This makes sense, given that a system almost always have both IPv4 and
IPv6 loopback addresses. If loopback adresses were taken into account,
it would make the AI_ADDRCONFIG flag useless.

For me the problem is in call_resolver, which actually should not use
the AI_ADDRCONFIG flag. To know to which addresses to bind to, it should
use the AI_PASSIVE flag instead.

I am therefore cloning this bug to manpages-dev so that the
documentation can be updated, and reassigning the original bug to
libapr1 as the bug has to be fixed there.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug 500558 cloned as bug 660479. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sun, 19 Feb 2012 14:51:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'eglibc' to 'manpages-dev'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sun, 19 Feb 2012 14:51:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'manpages-dev: getaddrinfo(3): documentation doesn't match specifications' from 'getaddrinfo("127.0.0.1", AI_ADDRCONFIG) fails when eth0 has ipv6 only' Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sun, 19 Feb 2012 14:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#660479; Package manpages-dev. (Tue, 21 Feb 2012 08:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Michel Vourgère" <jmv_deb@nirgal.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 21 Feb 2012 08:48:07 GMT) Full text and rfc822 format available.

Message #109 received at 660479@bugs.debian.org (full text, mbox):

From: "Jean-Michel Vourgère" <jmv_deb@nirgal.com>
To: 660479@bugs.debian.org
Subject: Re: getaddrinfo("127.0.0.1", AI_ADDRCONFIG) fails when eth0 has ipv6 only
Date: Tue, 21 Feb 2012 08:45:11 +0000
[Message part 1 (text/plain, inline)]
I confirm RFC 2553 specifically exclude loopback interface for AI_ADDRCONFIG.

Attached is a trivial patch.
[660479.diff (text/x-patch, inline)]
--- man3/getaddrinfo.3.orig	2012-02-21 09:38:54.000000000 +0100
+++ man3/getaddrinfo.3	2012-02-21 09:39:42.000000000 +0100
@@ -378,6 +378,8 @@
 only if the local system has at least one
 IPv4 address configured, and IPv6 addresses are only returned
 if the local system has at least one IPv6 address configured.
+The loopback address is not considered for this case as valid
+as a configured address.
 .PP
 If
 .I hint.ai_flags
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 21 Feb 2012 08:48:11 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sat, 28 Apr 2012 23:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#660479; Package manpages-dev. (Sun, 29 Apr 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 29 Apr 2012 10:39:06 GMT) Full text and rfc822 format available.

Message #118 received at 660479@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: 660479@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Debian bug 660479
Date: Sun, 29 Apr 2012 22:34:48 +1200
tags 660479 fixed-upstream
thanks

I've applied the patch at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=660479#109 for
upstream 3.41.

Thanks,

Michael

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com> to control@bugs.debian.org. (Sun, 29 Apr 2012 10:39:41 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 23 Jul 2012 22:24:03 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Sat, 25 Aug 2012 16:21:14 GMT) Full text and rfc822 format available.

Notification sent to Micha Lenk <micha@lenk.info>:
Bug acknowledged by developer. (Sat, 25 Aug 2012 16:21:14 GMT) Full text and rfc822 format available.

Message #127 received at 660479-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 660479-close@bugs.debian.org
Subject: Bug#660479: fixed in manpages 3.42-1
Date: Sat, 25 Aug 2012 16:17:41 +0000
Source: manpages
Source-Version: 3.42-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660479@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 Aug 2012 21:50:38 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.42-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 383296 526778 538641 609033 660479 671514 671515 673436 673873 673875 674051 679498
Changes: 
 manpages (3.42-1) unstable; urgency=low
 .
   [ Simon Paillard ]
   * Add myself to Uploaders
   * Imported Upstream version 3.42:
     . new manpages: get_robust_list.2 mallinfo.3 malloc_info.3 malloc_stats.3
     . remove outdated links: path_resolution.2 epoll.4 fifo.4 futex.4
       complex.5 environ.5
     . Fix repeated word in memchr.3 (Closes: #679498)
     . isgreater.3: arguments must be real-floating (Closes: #609033)
     . utf-8.7: clarifications (Closes: #538641)
     . getaddrinfo.3: note that AI_ADDRCONFIG is not affected by loopback
       addresses (Closes: #660479)
     . Fix "rtnetlink(7): Line in table too long" (Closes: #674051)
     . Fix "netlink(7): Line in table is too long" (Closes: #673875)
     . Fix "netdevice(7): Line in table too long" (Closes: #673873)
     . Fix "suffixes(7): Warnings from "grotty"" (Closes: #673436)
     . Fix "ioctl_list(2): table wider than line width" (Closes: #671515)
     . Fix groff warnings console_codes(4) (Closes: #671514)
     . netlink.7: *_pid fields are not process but port id (Closes: #383296)
   * Drop obsolete formatting patch: gettimeofday.2 wprintf.3 setnetgrent.3
   * Drop patch getgid.2, getuid.2: now documented by upstream credentials(7)
   * Drop inconsistent coding style patch: bsearch.3 qsort.3
   * iconv.3: remove Debian patch, accepted upstream and moved to NOTES
   * Remove old links added 10y ago due to debian specific man-db
   * fclose.3: drop debian patches, mark the remaining as rejected upstream
   * Remove mallinfo.3 from missing.7, added in upstream 3.41
   * Drop outdated debian/readme
   * getifaddrs.3, rtnetlink.7: stats interface is struct rtnl_link_stats, not
     net_device_stats (Closes: #526778) - thanks to Julien Cristau
Checksums-Sha1: 
 adc626704fe11d2d1ee87264e6ffd82b01424448 1904 manpages_3.42-1.dsc
 ca33acaa9708ea04d659ada3e49a2b808ade03dc 1748638 manpages_3.42.orig.tar.gz
 78f668751bc17c5ec2d6eb9f9f4e0c45581bcc1c 46466 manpages_3.42-1.diff.gz
 35199833a71faeb1d1d02210309ac61c8ec52adc 784438 manpages_3.42-1_all.deb
 29def2ec668e3b6d4f746e56793501e3171c3c99 1728792 manpages-dev_3.42-1_all.deb
Checksums-Sha256: 
 ba83353d9cabacd1978261d4763b7665f428b4f02f1bb16e27e6994126831b5f 1904 manpages_3.42-1.dsc
 e366548e907776780d8558d9ab2918d49c28b7f9f926a4bdbe8559cc27165a1d 1748638 manpages_3.42.orig.tar.gz
 d5d96fc20ef2192af599b57a174e510b9868a0ff718662034dfceb4907835e68 46466 manpages_3.42-1.diff.gz
 dbd074db50d0086168e0c1df6a0d2bbf0ff396bdf6ebc20d41ee814f4ab1c3e3 784438 manpages_3.42-1_all.deb
 b0b0bef7ac02ef1bb314856db094c85a33a53f40e3601c1080ec21738d865443 1728792 manpages-dev_3.42-1_all.deb
Files: 
 87240352356f2dc73d8834a9c16365e6 1904 doc important manpages_3.42-1.dsc
 cc8f73ecd8a123ceb7a8670daa91ee6c 1748638 doc important manpages_3.42.orig.tar.gz
 94b82badf5d39c826aa728c7e57f3d9f 46466 doc important manpages_3.42-1.diff.gz
 c96c0a4dfcfef21a1dbae4f982fe0816 784438 doc important manpages_3.42-1_all.deb
 b1ff58b81d31410b5593ee97d4617f67 1728792 doc optional manpages-dev_3.42-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQOPbyAAoJEN/3OMLRbPuie3gP/RGCk7GsGOIW2jQagjv48WfY
nCb5winm4kaYS4SLf501J9BiIpghDMOntXwL4X7Er8NtV7adbcwr4VawW+BSTDnh
aEiQM9AFkpK2FIKBP2YWwVhqsl4VIEg/fezziRt4dK5b8MPNJLPk74mQ+1MJUG0L
Zb+oMtnwqBFKjb2xU1glNaQ01YUYsLnhZY8n1D+rDVfRRqfFzIiDvVJYdSKU1iwT
T61AYkNfjjIYG91jxjUi7Xi2cQudKqvOMUL0Cz/349A+9b8tMmLPvhjf8coRBOVS
3x7J3skD+npiT5DT9MUswKhwmy8Ml5JSr8JgdJu/zQRcnvWGP3FS6dDHkMRXGgtK
+kHp7yMfiMsmMqQqIjjYzhPRW/xQZslBjNlsCMSbI4VuMArn+hezqb4rfzfHe8yv
kOmeaH8svVEJ2eRbV+YbBglXXsQOeBKLAFWqrdLvVXXmCTuPFprPxsP/OGvQ+i2m
KWRsKzReMQ7nV31xCga9NxENou6v1EnF+sEVi1eBWYWH7lJWwcoYnAnHYHc6UsyA
2hcTw4nwxZCkMTXG/PewYd4OISJ3ChlkCC3yZ7U1dpFQisvgnhjNiROxBfKf2T4x
f1dfpNIfWf0i/ynn9I5QRSbN+ZNhyx0Txc4jiftJt/Dv7kqtU7hYuRje56pdoiC9
EV+YSyJky+x4+NLXJfhB
=ljey
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Oct 2012 07:27:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:04:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.